Subject: RE: Comments on draft-ietf-pkix-time-stamp-01.txt

From: Robert Zuccherato <[email-masked]>
Date: Thu, 20 May 1999 11:27:03 -0400

Denis;

You wrote:

> ----------
> From: 	Denis Pinkas[SMTP:[email-masked]]
> Sent: 	Thursday, May 20, 1999 7:09 AM
> To: 	Sarbari Gupta
> Cc: 	[email-masked]
> Subject: 	Re: Comments on draft-ietf-pkix-time-stamp-01.txt
> 
> I am advocating instead *unsigned errors* as other protocols are doing.
> This
> means that the status error code has to be separated from the signed
> token.
> I have debated this point with the other editors which are favoring to
> sign
> everything and thus why this is included in the current draft. There are
> many arguments for *not* signing errors, including performances and the no
> response case when the TSA is unable to sign. I prefer to get back an
> unsigned error code rather than no response (as mandated today) in such a
> situation.
> 
The only reason we use certificates in the first place is because we don't
trust the integrity of our networks and other system components.  That being
the case, why would we trust an unsigned response?  It's inconsistent.  I
want to know that every response I get from the TSA REALLY came from the
TSA.  

	Robert.

---

From: Rick Wessman <[email-masked]>
Date: Thu, 20 May 1999 12:16:20 -0400

> want to know that every response I get from the TSA REALLY came from the

How about "splitting the difference" and sending back a signed error
when possible. If that is not feasible, then an unsigned error would be
sent back. I agree with Denis that it's better to get something back
than nothing.

Otherwise, users may get very confused by the lack of response.

                                    Rick